% Créer un site web, un blog, un wiki, une galerie d'image ou une documentation à l'aide de Hugo
% Charles Lesecq et Olivier DOSSMANN
% 11 juillet 2018

# Quelques mots

## Déroulement

  * courte présentation (environ 20mn)
  * atelier pratique : 
    * projet perso ou
    * projet d'exemple

## Pré-requis de l'atelier

  * notions de HTML préférables
  * Markdown optionnel (car memento)

# Présentation

## Hugo

  * outil pour créer un site :
    * site vitrine
    * blog
    * documentation / wiki
    * galerie d'images
  * rapide et assez léger
  * autonome et multiplateforme
  * souple (contenu) et multilingue
  * projet actif

## Fonctionnement

  * contenu écrit en Markdown ou importé (Wordpress, Jekyll…)
  * apparence à l'aide de modèles
  * modèles ont du contenu variable
  * résultat en HTML, XML
  * système de commentaires :
    * en JS (Disqus, Isso…)
    * via lien externe (LinuxFR, Lejournalduhacker…)

# Exemple de billet

## Une entête

```toml
+++
title = "Mon premier billet"
date = "2018-05-21"
draft = true
slug = "prems_prems"
+++
```

## Le contenu

```markdown
# Titre principal

Introduction de notre billet.

## Sous-titre 1

Quelques éléments **importants** : 

  * un
  * deux
  * etc.

## Sous-titre 2

Pour en [savoir plus](https://perdu.com/)
```

## Résultat

**LIEN VERS SITE MONTRANT LE RÉSULTAT**

# Questions ?

# Atelier, partie 1/2

# Atelier, partie 2/2

# Merci

# Liens utiles

[https://gohugo.io/](https://gohugo.io/)
